package com.bocloud.cmp.model.hmc;

public class HmdPartitionLparCreateModel extends HmdGenericModel {

    private final HmdPartitionModel lpar;

    public HmdPartitionLparCreateModel(HmdPartitionModel lpar) {
        this.lpar = lpar;
    }

    public HmdPartitionModel getLpar() {
        return lpar;
    }

    @Override
    public String getUuid() {
        return this.lpar.getUuid();
    }

    @Override
    public void setUuid(String uuid) {
        this.lpar.setUuid(uuid);
    }

    @Override
    public String getUrl() {
        return this.lpar.getUrl();
    }

    @Override
    public void setUrl(String url) {
        this.lpar.setUrl(url);
    }
}
